Subject: ANNOUNCE: libc version 4.3 available
From: [email-masked] (H.J. Lu)
Date: Tue, 16 Feb 1993 03:52:39 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce

This is the official release of the Linux C library 4.3. You have to
install the source code of 0.99 pl5 to use it since there are some
changes in kernel. You have to use 0.99 pl 5 kernel to call bsd
flock (). You also need gcc 2.3.3 or above to use it.

In this release, dynamic linking is introduced. Eric Youngdale
([email-masked]) is maintaining the new shared library.
>From now on, we won't make the classic shared library any more. We
have put the basic iostream into the jump table version of shared
library. If you need more than that, you have to use gcc -static.
gcc -nojump will not work any more. Please test jump tablized iostream.

The linker, crt0.o and gcrt0.o compatible with dynamic linking are
included in this package.

The latest binutils.tar.z also has the new linker.

I will try to make libc.a and others as well as libc.so.4.3 for 486.
I won't promise anything. Your best bet is get the source code and
ask Eric how to do it yourself.

You can get this package from tsx-11.mit.edu under pub/linux/GCC. The
file names are image-4.3.tar.z, extra-4.3.tar.z, inc-4.3.tar.z,
libc-4.3.tar.z and libc-4.2-4.3.tar.z.

This release is compressed with gzip 0.8.2.

Please read ChangeLog for details of the bug fixes.

The file list:

1. image-4.3.tar.z

  The libraries, shared image, crt0.o, gcrt0.o and ld. To install it,
  as root do

  cd /tmp
  rm -rf ./lib ./usr
  zcat image-4.3.tar.z | tar xvvof -
  cp -av ./lib ./usr /
  cd /lib
  ln -sf libc.so.4.3 libc.so.4

  If you have an early version of libc.so.4.3 installed, you may have
  to play with it, like
  
  cd /lib
  cp libc.so.4.3 libc.so.4.3.old
  ln -sf libc.so.4.3.old libc.so.4
  mv libc.so.4.3 foo

  before you unpack image-4.3.tar.z.

2. extra-4.3.tar.z

  libg.a and libc_p.a. To install
   
  cd /
  zcat extra-4.3.tar.z | tar xvvof -

  libg.a is very big. I usually do

  cd /usr/lib
  ln -s libc.a libg.a

  since I usually do not debug the C library this way.

3. inc-4.3.tar.z

  The header files for 4.3.

  cd /usr
  zcat inc-4.3.tar.z | tar xvvof -

  The header files in inc-4.3.tar.z are not complete. You have to
  install the kernel source for the rest of the header files. Please
  get the version mentioned at the beginning of this release note.
  Suppose you install the kernel source at "/foo/bar/src", you should
  do as root

  mkdir -p /usr/include
  cd /usr/include
  rm -rf asm linux
  ln -s /foo/bar/src/linux/include/asm . 
  ln -s /foo/bar/src/linux/include/linux . 

4. libc-4.3.tar.z

  Source code for the Linux C library 4.3.

  cd src
  zcat libc-4.3.tar.z | tar xvvof -

5. libc-4.2-4.3.tar.z

  Change of the source code from 4.2 to 4.3.

  cd src
  zcat libc-4.2-4.3.tar.z | tar xvvof -

6. ChangeLog

  Change log for the Linux C library.

Please fix the file permissions after you install it.

Note: The iostream in libc.sa is experimental. Please give it
      a thorough test and report iostream bugs to me and Eric. If you
      cannot get it working with jump table, please use the static
      libraries, i.e.,

	gcc -static xxxxxxx [-lg++]

H.J.
[email-masked]
02/15/93

-- 
Send submissions for comp.os.linux.announce to: [email-masked]